Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZMessage Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ()
| get ( $id=-1)
& | getAll ()
& | messagesToUser ( $user)
& | messagesFromUser ( $user)
| string_tagster ($str)
| format_post2 ($str)
| render ( $str)
| id ()
| subject ( $html=true)
| setFromUser ( $user)
| fromUser ()
& | toUser ()
| isRead ()
| setIsRead ( $isRead)
| setToUser ( $user)
& | created ()
& | TimeRead ()
| description ()
| setSubject ( $value)
| setDescription ( $value)

## Public Attributes
| $ID
| $FromUserID
| $ToUserID
| $Created
| $Subject
| $Description
| $IsRead
| $TimeRead

## Detailed Description

! eZMessage eZMessage handles messages to Exponential Basic users.

Definition at line 38 of file ezmessage.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZMessage::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZMessage object.

Definition at line 43 of file ezmessage.php.

References $id, and $ID.

## Member Function Documentation

## ◆ created()

& eZMessage::created | ( |  | ) |

Returns the message creation time as a eZDateTime object.

Definition at line 358 of file ezmessage.php.

References $dateTime.

## ◆ delete()

eZMessage::delete | ( |  | ) |

Deletes a eZMessage object from the database.

Definition at line 110 of file ezmessage.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ description()

eZMessage::description | ( |  | ) |

Returns the description.

Definition at line 380 of file ezmessage.php.

References $Description.

## ◆ format_post2()

eZMessage::format_post2 | ( |  | $str | ) |

Definition at line 246 of file ezmessage.php.

References $str, and string_tagster().

Referenced by render().

## ◆ fromUser()

eZMessage::fromUser | ( |  | ) |

Returns the from user as an eZUser object.

Definition at line 305 of file ezmessage.php.

## ◆ get()

eZMessage::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 129 of file ezmessage.php.

References $db, $id, $ret, eZDB\globalDatabase(), and TimeRead().

## ◆ getAll()

& eZMessage::getAll | ( |  | ) |

Fetches the user id from the database. And returns a array of eZMessage objects.

Definition at line 161 of file ezmessage.php.

References $db, $message, and eZDB\globalDatabase().

## ◆ id()

eZMessage::id | ( |  | ) |

Returns the object id.

Definition at line 276 of file ezmessage.php.

References $ID.

## ◆ isRead()

eZMessage::isRead | ( |  | ) |

Returns true if the message is read.

Definition at line 323 of file ezmessage.php.

## ◆ messagesFromUser()

& eZMessage::messagesFromUser | ( |  | $user | ) |

Fetches the messages for a user.

Definition at line 209 of file ezmessage.php.

References $db, $message, $query, $user, $userID, and eZDB\globalDatabase().

## ◆ messagesToUser()

& eZMessage::messagesToUser | ( |  | $user | ) |

Fetches the messages for a user.

Definition at line 182 of file ezmessage.php.

References $db, $message, $query, $user, $userID, and eZDB\globalDatabase().

## ◆ render()

eZMessage::render | ( |  | $str | ) |

Definition at line 264 of file ezmessage.php.

References $str, and format_post2().

## ◆ setDescription()

eZMessage::setDescription | ( |  | $value | ) |

Sets the description.

Definition at line 396 of file ezmessage.php.

## ◆ setFromUser()

eZMessage::setFromUser | ( |  | $user | ) |

Sets the use which the message is from.

Definition at line 294 of file ezmessage.php.

References $user.

## ◆ setIsRead()

eZMessage::setIsRead | ( |  | $isRead | ) |

Sets the message to be read/unread.

Definition at line 335 of file ezmessage.php.

## ◆ setSubject()

eZMessage::setSubject | ( |  | $value | ) |

Sets the subject.

Definition at line 388 of file ezmessage.php.

## ◆ setToUser()

eZMessage::setToUser | ( |  | $user | ) |

Sets the use which the message is to.

Definition at line 347 of file ezmessage.php.

References $user.

## ◆ store()

eZMessage::store | ( |  | ) |

Stores or updates a eZMessage object in the database.

Definition at line 57 of file ezmessage.php.

References $db, $res, eZDB\finish(), and eZDB\globalDatabase().

## ◆ string_tagster()

eZMessage::string_tagster | ( |  | $str | ) |

Definition at line 232 of file ezmessage.php.

References $str.

Referenced by format_post2().

## ◆ subject()

eZMessage::subject | ( |  | $html = `true` | ) |

Returns the subject.

Definition at line 284 of file ezmessage.php.

References $Subject.

## ◆ TimeRead()

& eZMessage::TimeRead | ( |  | ) |

Returns the message read time as a eZDateTime object.

Definition at line 369 of file ezmessage.php.

References $dateTime.

Referenced by get().

## ◆ toUser()

& eZMessage::toUser | ( |  | ) |

Returns the to user as an eZUser object.

Definition at line 314 of file ezmessage.php.

References $ret.

## Member Data Documentation

## ◆ $Created

eZMessage::$Created

Definition at line 404 of file ezmessage.php.

## ◆ $Description

eZMessage::$Description

Definition at line 406 of file ezmessage.php.

Referenced by description().

## ◆ $FromUserID

eZMessage::$FromUserID

Definition at line 402 of file ezmessage.php.

## ◆ $ID

eZMessage::$ID

Definition at line 401 of file ezmessage.php.

Referenced by __construct(), and id().

## ◆ $IsRead

eZMessage::$IsRead

Definition at line 407 of file ezmessage.php.

## ◆ $Subject

eZMessage::$Subject

Definition at line 405 of file ezmessage.php.

Referenced by subject().

## ◆ $TimeRead

eZMessage::$TimeRead

Definition at line 408 of file ezmessage.php.

## ◆ $ToUserID

eZMessage::$ToUserID

Definition at line 403 of file ezmessage.php.

The documentation for this class was generated from the following file:

- ezmessage.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.